<?php

if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_page-layout',
		'title' => 'Page Layout',
		'fields' => array (
			array (
				'key' => 'field_53d6161b5759c',
				'label' => 'Page Layout Section',
				'name' => 'page_layout_section',
				'type' => 'repeater',
				'instructions' => 'Add a new section to this page. Each Section can contain any number or Rows, which also contain several different column layouts.',
				'sub_fields' => array (
					array (
						'key' => 'field_53d616325759d',
						'label' => 'Background Colour',
						'name' => 'section_background_colour',
						'type' => 'color_picker',
						'instructions' => 'Choose a colour for this sections\' background.',
						'column_width' => '',
						'default_value' => '',
					),
					array (
						'key' => 'field_53ea1059b9b97',
						'label' => 'Background Image',
						'name' => 'section_background_image',
						'type' => 'image',
						'instructions' => 'Upload an image for the background of this section.',
						'column_width' => '',
						'save_format' => 'url',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
					array (
						'key' => 'field_53d616445759e',
						'label' => 'Row',
						'name' => 'row',
						'type' => 'flexible_content',
						'instructions' => 'Add a new row to this section.',
						'column_width' => '',
						'layouts' => array (
							array (
								'label' => 'Full Width Row',
								'name' => 'full_width_row',
								'display' => 'row',
								'min' => '',
								'max' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_53d6165c5759f',
										'label' => 'Column: Full Width',
										'name' => 'column:_full_width',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content.',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
								),
							),
							array (
								'label' => 'Packages',
								'name' => 'packages',
								'display' => 'row',
								'min' => '',
								'max' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_53d7c137ad292',
										'label' => 'Package',
										'name' => 'package',
										'type' => 'repeater',
										'column_width' => '',
										'sub_fields' => array (
											array (
												'key' => 'field_53d7c148ad293',
												'label' => 'Title',
												'name' => 'package_title',
												'type' => 'text',
												'column_width' => '',
												'default_value' => '',
												'placeholder' => '',
												'prepend' => '',
												'append' => '',
												'formatting' => 'html',
												'maxlength' => '',
											),
											array (
												'key' => 'field_53d8b1f26c2d1',
												'label' => 'Info',
												'name' => 'package_information',
												'type' => 'wysiwyg',
												'column_width' => '',
												'default_value' => '',
												'toolbar' => 'basic',
												'media_upload' => 'no',
											),
											array (
												'key' => 'field_53d8b8a5d4b8d',
												'label' => 'List',
												'name' => 'package_list',
												'type' => 'wysiwyg',
												'column_width' => '',
												'default_value' => '',
												'toolbar' => 'basic',
												'media_upload' => 'no',
											),
											array (
												'key' => 'field_53d8bae0e9d34',
												'label' => 'Price',
												'name' => 'package_price',
												'type' => 'text',
												'column_width' => '',
												'default_value' => '',
												'placeholder' => '',
												'prepend' => '',
												'append' => '',
												'formatting' => 'none',
												'maxlength' => '',
											),
											array (
												'key' => 'field_53d8bb55af149',
												'label' => 'Color',
												'name' => 'package_color',
												'type' => 'color_picker',
												'column_width' => '',
												'default_value' => '',
											),
											array (
												'key' => 'field_53d8dac5575ea',
												'label' => 'Link',
												'name' => 'package_link',
												'type' => 'page_link',
												'column_width' => '',
												'post_type' => array (
													0 => 'page',
												),
												'allow_null' => 1,
												'multiple' => 0,
											),
										),
										'row_min' => '',
										'row_limit' => '',
										'layout' => 'row',
										'button_label' => 'Add Package',
									),
								),
							),
							array (
								'label' => 'Twin Table',
								'name' => 'twin_table',
								'display' => 'row',
								'min' => '',
								'max' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_53d8ec99843b7',
										'label' => 'Table Column',
										'name' => 'table_column',
										'type' => 'repeater',
										'column_width' => '',
										'sub_fields' => array (
											array (
												'key' => 'field_53d8ec99843b8',
												'label' => 'Title',
												'name' => 'column_title',
												'type' => 'text',
												'column_width' => '',
												'default_value' => '',
												'placeholder' => '',
												'prepend' => '',
												'append' => '',
												'formatting' => 'html',
												'maxlength' => '',
											),
											array (
												'key' => 'field_53d8ec99843bc',
												'label' => 'Color',
												'name' => 'table_color',
												'type' => 'color_picker',
												'column_width' => '',
												'default_value' => '',
											),
											array (
												'key' => 'field_53d8f7f73abdb',
												'label' => 'Row',
												'name' => 'table_row',
												'type' => 'repeater',
												'column_width' => '',
												'sub_fields' => array (
													array (
														'key' => 'field_53d8f8053abdc',
														'label' => 'Icon',
														'name' => 'table_icon',
														'type' => 'image',
														'column_width' => '',
														'save_format' => 'id',
														'preview_size' => 'thumbnail',
														'library' => 'all',
													),
													array (
														'key' => 'field_53d8f8143abdd',
														'label' => 'Title',
														'name' => 'table_row_title',
														'type' => 'text',
														'column_width' => '',
														'default_value' => '',
														'placeholder' => '',
														'prepend' => '',
														'append' => '',
														'formatting' => 'none',
														'maxlength' => '',
													),
													array (
														'key' => 'field_53d8f82e3abde',
														'label' => 'Text',
														'name' => 'table_text',
														'type' => 'textarea',
														'column_width' => '',
														'default_value' => '',
														'placeholder' => '',
														'maxlength' => '',
														'rows' => '',
														'formatting' => 'br',
													),
												),
												'row_min' => '',
												'row_limit' => '',
												'layout' => 'row',
												'button_label' => 'Add Row',
											),
										),
										'row_min' => '',
										'row_limit' => '',
										'layout' => 'row',
										'button_label' => 'Add Table Column',
									),
								),
							),
							array (
								'label' => '50 / 50 Row',
								'name' => '50_50_row',
								'display' => 'row',
								'min' => '',
								'max' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_53d616a871864',
										'label' => 'Column One: 50/50',
										'name' => 'column_one',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content for the first column',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
									array (
										'key' => 'field_53d616c171865',
										'label' => 'Column Two: 50/50',
										'name' => 'column_two',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content for Column Two',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
								),
							),
							array (
								'label' => '33 / 66 Row',
								'name' => '33_66_row',
								'display' => 'row',
								'min' => '',
								'max' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_53d6315722e0f',
										'label' => 'Column One',
										'name' => 'column_one',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
									array (
										'key' => 'field_53d6316522e10',
										'label' => 'Column Two',
										'name' => 'column_two',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content.',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
								),
							),
							array (
								'label' => '66 / 33 Row',
								'name' => '66_33_row',
								'display' => 'row',
								'min' => '',
								'max' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_53d631b8d8865',
										'label' => 'Column One',
										'name' => 'column_one',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
									array (
										'key' => 'field_53d631b8d8866',
										'label' => 'Column Two',
										'name' => 'column_two',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content.',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
								),
							),
							array (
								'label' => 'Circle Layout',
								'name' => 'circle-layout',
								'display' => 'row',
								'min' => '',
								'max' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_53e9f84927304',
										'label' => 'Column One',
										'name' => 'column_one',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
									array (
										'key' => 'field_53e9f84927305',
										'label' => 'Column Two (Circle Content)',
										'name' => 'column_two',
										'type' => 'wysiwyg',
										'instructions' => 'Enter your content.',
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'yes',
									),
								),
							),
						),
						'button_label' => 'Add Row',
						'min' => '',
						'max' => '',
					),
				),
				'row_min' => '',
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add New Section',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}

?>